import React, { useEffect } from "react";
import styles from "./index.module.scss";

import { isHoliday } from "chinese-days/dist/index.min.js";

const arr = [
  "2025-03-07",
  "2025-03-08",
  "2025-03-09",
  "2025-03-22",
  "2025-03-23",
  "2025-03-24",
  "2025-04-01",
  "2025-04-04",
  "2025-04-05",
  "2025-04-06",
  "2025-04-07",
  "2025-04-12",
];

function A2manHour() {
  useEffect(() => {}, []);

  return (
    <div className={styles.A2manHour}>
      {arr.map((v) => (
        <div key={v}>
          <span>{v}</span>
          {isHoliday(v) ? "节假日" : "工作日"}
        </div>
      ))}
    </div>
  );
}

const MemoA2manHour = React.memo(A2manHour);

export default MemoA2manHour;
